//
// Created by 张雪明 <zhangxueming@uniontech.com> on 2024/11/18.
//

#ifndef UOS_RECOVERY_NAVIGATION_LIST_VIEW_H
#define UOS_RECOVERY_NAVIGATION_LIST_VIEW_H

#include <DListView>

class NavigationListView : public Dtk::Widget::DListView {
    Q_OBJECT
public:
    explicit NavigationListView(QWidget *parent = nullptr);
    ~NavigationListView() override;

private:
    void initUI();
    void initConnections();
};

#endif //UOS_RECOVERY_NAVIGATION_LIST_VIEW_H
